Package org.springframework.security.config.web.server

# Enum Class SecurityWebFiltersOrder

java.lang.Object
java.lang.Enum<SecurityWebFiltersOrder>
org.springframework.security.config.web.server.SecurityWebFiltersOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<SecurityWebFiltersOrder>`, `Constable`

public enum SecurityWebFiltersOrder extends Enum<SecurityWebFiltersOrder>

Since:
  5.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANONYMOUS_AUTHENTICATION`
Instance of AnonymousAuthenticationWebFilter
`AUTHENTICATION`
`AUTHORIZATION`
`CORS`
`CorsWebFilter`
`CSRF`
`CsrfWebFilter`
`EXCEPTION_TRANSLATION`
`FIRST`
`FORM_LOGIN`
Instance of AuthenticationWebFilter
`HTTP_BASIC`
Instance of AuthenticationWebFilter
`HTTP_HEADERS_WRITER`
`HTTPS_REDIRECT`
`HttpsRedirectWebFilter`
`LAST`
`LOGIN_PAGE_GENERATING`
`LOGOUT`
`LOGOUT_PAGE_GENERATING`
`OAUTH2_AUTHORIZATION_CODE`
`ONE_TIME_TOKEN`
`GenerateOneTimeTokenWebFilter`
`ONE_TIME_TOKEN_SUBMIT_PAGE_GENERATING`
`OneTimeTokenSubmitPageGeneratingWebFilter`
`REACTOR_CONTEXT`
`ReactorContextWebFilter`
`SECURITY_CONTEXT_SERVER_WEB_EXCHANGE`
`SecurityContextServerWebExchangeWebFilter`
`SERVER_REQUEST_CACHE`
`ServerRequestCacheWebFilter`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrder()`
`static SecurityWebFiltersOrder`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SecurityWebFiltersOrder[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIRST

public static final SecurityWebFiltersOrder FIRST

### HTTP_HEADERS_WRITER

public static final SecurityWebFiltersOrder HTTP_HEADERS_WRITER

### HTTPS_REDIRECT

public static final SecurityWebFiltersOrder HTTPS_REDIRECT
`HttpsRedirectWebFilter`

### CORS

public static final SecurityWebFiltersOrder CORS
`CorsWebFilter`

### CSRF

public static final SecurityWebFiltersOrder CSRF
`CsrfWebFilter`

### REACTOR_CONTEXT

public static final SecurityWebFiltersOrder REACTOR_CONTEXT
`ReactorContextWebFilter`

### HTTP_BASIC

public static final SecurityWebFiltersOrder HTTP_BASIC
Instance of AuthenticationWebFilter

### FORM_LOGIN

public static final SecurityWebFiltersOrder FORM_LOGIN
Instance of AuthenticationWebFilter

### AUTHENTICATION

public static final SecurityWebFiltersOrder AUTHENTICATION

### ANONYMOUS_AUTHENTICATION

public static final SecurityWebFiltersOrder ANONYMOUS_AUTHENTICATION
Instance of AnonymousAuthenticationWebFilter

### OAUTH2_AUTHORIZATION_CODE

public static final SecurityWebFiltersOrder OAUTH2_AUTHORIZATION_CODE

### LOGIN_PAGE_GENERATING

public static final SecurityWebFiltersOrder LOGIN_PAGE_GENERATING

### LOGOUT_PAGE_GENERATING

public static final SecurityWebFiltersOrder LOGOUT_PAGE_GENERATING

### ONE_TIME_TOKEN

public static final SecurityWebFiltersOrder ONE_TIME_TOKEN
`GenerateOneTimeTokenWebFilter`

### ONE_TIME_TOKEN_SUBMIT_PAGE_GENERATING

public static final SecurityWebFiltersOrder ONE_TIME_TOKEN_SUBMIT_PAGE_GENERATING
`OneTimeTokenSubmitPageGeneratingWebFilter`

### SECURITY_CONTEXT_SERVER_WEB_EXCHANGE

public static final SecurityWebFiltersOrder SECURITY_CONTEXT_SERVER_WEB_EXCHANGE
`SecurityContextServerWebExchangeWebFilter`

### SERVER_REQUEST_CACHE

public static final SecurityWebFiltersOrder SERVER_REQUEST_CACHE
`ServerRequestCacheWebFilter`

### LOGOUT

public static final SecurityWebFiltersOrder LOGOUT

### EXCEPTION_TRANSLATION

public static final SecurityWebFiltersOrder EXCEPTION_TRANSLATION

### AUTHORIZATION

public static final SecurityWebFiltersOrder AUTHORIZATION

### LAST

public static final SecurityWebFiltersOrder LAST

## Method Details

### values

public static SecurityWebFiltersOrder[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SecurityWebFiltersOrder valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getOrder

public int getOrder()